<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/config.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_pen.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_log.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$code = str_majuscules(valpost('code'));
$desc = str_majuscules(valpost('desc'));
$tbar = valpost('tbar');
$valeur = (float)valpost('valeur');
$pourok = (int)valpost('pour');
$udec = valpost('udec');
$propok = (int)valpost('prop');
$actifok = (int)valpost('actif');

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche pénalité
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBPEN . "` WHERE pen_code = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech2 = 'INSERT INTO `' . TBPEN . '`';
            $rech2 .= ' (pen_code,pen_desc)';
            $rech2 .= " VALUES ('" . $db->escape($code) . "','" . $db->escape($desc) . "')";
            $db->query($rech2);

            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code est déjà utilisé');
            $retourliste = FALSE;
        }
        break;

    // MAJ de la fiche pénalité
    case 'edit' :
        $majok = TRUE;

        if ($actif == 0) {
            if (exist_pen_in_coloc_ouv($code, FALSE) == TRUE) {
                $msg = _('Pénalité utilisée dans une location non close');
                $majok = FALSE;
            }
        }

        if ($majok == TRUE) {
            $rech = 'UPDATE `' . TBPEN . "` SET `pen_desc`='" . $db->escape($desc) . "',";
            $rech .= " `pen_tbar`='" . $tbar . "', `pen_pour`='" . $pourok . "', `pen_valeur`='" . $valeur . "',";
            $rech .= " `pen_udec`='" . $udec . "',`pen_prop`='" . $propok . "',`pen_actif`='" . $actifok . "'";
            $rech .= " WHERE `pen_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            // Suppression des barèmes de pénalités si "Valeur unique"
            if ($tbar == 0) {
                $rech = 'DELETE FROM `' . TBPENBAR . "` WHERE `penbar_codepen` = '" . $db->escape($code) . "'";
                $db->query($rech);
            }

            $msg = _('Fiche modifiée');
        } else {
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche barème
    case 'del' :
        $delok = TRUE;

        if ($actif == 0) {
            if (exist_pen_in_coloc($code, FALSE) == TRUE) {
                $msg = _('Pénalité utilisée dans une location. Désactivez la');
                $delok = FALSE;
            }
        }

        if ($delok == TRUE) {
            $rech = 'DELETE FROM `' . TBPEN . "` WHERE `pen_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            // Suppression des barèmes de pénalités
            $rech = 'DELETE FROM `' . TBPENBAR . "` WHERE `penbar_codepen` = '" . $db->escape($code) . "'";
            $db->query($rech);

            $msg = _('Fiche supprimée');
        } else {
            $retourliste = FALSE;
        }
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Pénalité Location'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>
<body>
<?php
include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
} else {
    exec_func_js("pop_txt('" . str_escape($msg) . "')");
}
if (($td == 'add') OR ($td == 'edit')) {
    if (valsession('niv_log') >= 4) {
        pop_ret_auto('', '', 'pen_maj.php?td=edit&code=' . $code);
    } else {
        pop_ret_auto('', '', 'index.php');
    }
} else {
    pop_ret_auto('', '', 'pen_lst.php');
}
include_once('pied.php');
?>
</body>
</html>
